org.eclipse.eef.impl

## Class EEFWidgetStyleImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.eef.impl.EEFWidgetStyleImpl

All Implemented Interfaces:
  EEFWidgetStyle, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject

Direct Known Subclasses:
  EEFButtonStyleImpl, EEFCheckboxStyleImpl, EEFCustomWidgetStyleImpl, EEFHyperlinkStyleImpl, EEFLabelStyleImpl, EEFListStyleImpl, EEFRadioStyleImpl, EEFSelectStyleImpl, EEFTextStyleImpl

    public abstract class EEFWidgetStyleImpl
    extends org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
    implements EEFWidgetStyle

An implementation of the model object 'EEF Widget Style'.

The following features are implemented:

- `Label Background Color Expression`
- `Label Foreground Color Expression`
- `Label Font Name Expression`
- `Label Font Size Expression`
- `Label Font Style Expression`

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

### Field Summary

Fields
`protected static java.lang.String` `LABEL_BACKGROUND_COLOR_EXPRESSION_EDEFAULT` The default value of the '`Label Background Color Expression` ' attribute.
`protected static java.lang.String` `LABEL_FONT_NAME_EXPRESSION_EDEFAULT` The default value of the '`Label Font Name Expression`' attribute.
`protected static java.lang.String` `LABEL_FONT_SIZE_EXPRESSION_EDEFAULT` The default value of the '`Label Font Size Expression`' attribute.
`protected static java.lang.String` `LABEL_FONT_STYLE_EXPRESSION_EDEFAULT` The default value of the '`Label Font Style Expression`' attribute.
`protected static java.lang.String` `LABEL_FOREGROUND_COLOR_EXPRESSION_EDEFAULT` The default value of the '`Label Foreground Color Expression` ' attribute.
`protected java.lang.String` `labelBackgroundColorExpression` The cached value of the '`Label Background Color Expression`' attribute.
`protected java.lang.String` `labelFontNameExpression` The cached value of the '`Label Font Name Expression`' attribute.
`protected java.lang.String` `labelFontSizeExpression` The cached value of the '`Label Font Size Expression`' attribute.
`protected java.lang.String` `labelFontStyleExpression` The cached value of the '`Label Font Style Expression`' attribute.
`protected java.lang.String` `labelForegroundColorExpression` The cached value of the '`Label Foreground Color Expression`' attribute.

### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eContainer`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Constructor Summary

Constructors
`protected` `EEFWidgetStyleImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`java.lang.String` `getLabelBackgroundColorExpression()`
`java.lang.String` `getLabelFontNameExpression()`
`java.lang.String` `getLabelFontSizeExpression()`
`java.lang.String` `getLabelFontStyleExpression()`
`java.lang.String` `getLabelForegroundColorExpression()`
`void` `setLabelBackgroundColorExpression(java.lang.String newLabelBackgroundColorExpression)`
`void` `setLabelFontNameExpression(java.lang.String newLabelFontNameExpression)`
`void` `setLabelFontSizeExpression(java.lang.String newLabelFontSizeExpression)`
`void` `setLabelFontStyleExpression(java.lang.String newLabelFontStyleExpression)`
`void` `setLabelForegroundColorExpression(java.lang.String newLabelForegroundColorExpression)`
`java.lang.String` `toString()`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eBasicSetContainer, eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetDirectResource, eSetProxyURI, eSettings`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eInvocationDelegate, eInvoke, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Field Detail

#### LABEL_BACKGROUND_COLOR_EXPRESSION_EDEFAULT

    protected static final java.lang.String LABEL_BACKGROUND_COLOR_EXPRESSION_EDEFAULT

The default value of the '`Label Background Color Expression` ' attribute.

See Also:
  `getLabelBackgroundColorExpression()`

#### labelBackgroundColorExpression

    protected java.lang.String labelBackgroundColorExpression

The cached value of the '`Label Background Color Expression`' attribute.

See Also:
  `getLabelBackgroundColorExpression()`

#### LABEL_FOREGROUND_COLOR_EXPRESSION_EDEFAULT

    protected static final java.lang.String LABEL_FOREGROUND_COLOR_EXPRESSION_EDEFAULT

The default value of the '`Label Foreground Color Expression` ' attribute.

See Also:
  `getLabelForegroundColorExpression()`

#### labelForegroundColorExpression

    protected java.lang.String labelForegroundColorExpression

The cached value of the '`Label Foreground Color Expression`' attribute.

See Also:
  `getLabelForegroundColorExpression()`

#### LABEL_FONT_NAME_EXPRESSION_EDEFAULT

    protected static final java.lang.String LABEL_FONT_NAME_EXPRESSION_EDEFAULT

The default value of the '`Label Font Name Expression`' attribute.

See Also:
  `getLabelFontNameExpression()`

#### labelFontNameExpression

    protected java.lang.String labelFontNameExpression

The cached value of the '`Label Font Name Expression`' attribute.

See Also:
  `getLabelFontNameExpression()`

#### LABEL_FONT_SIZE_EXPRESSION_EDEFAULT

    protected static final java.lang.String LABEL_FONT_SIZE_EXPRESSION_EDEFAULT

The default value of the '`Label Font Size Expression`' attribute.

See Also:
  `getLabelFontSizeExpression()`

#### labelFontSizeExpression

    protected java.lang.String labelFontSizeExpression

The cached value of the '`Label Font Size Expression`' attribute.

See Also:
  `getLabelFontSizeExpression()`

#### LABEL_FONT_STYLE_EXPRESSION_EDEFAULT

    protected static final java.lang.String LABEL_FONT_STYLE_EXPRESSION_EDEFAULT

The default value of the '`Label Font Style Expression`' attribute.

See Also:
  `getLabelFontStyleExpression()`

#### labelFontStyleExpression

    protected java.lang.String labelFontStyleExpression

The cached value of the '`Label Font Style Expression`' attribute.

See Also:
  `getLabelFontStyleExpression()`

### Constructor Detail

#### EEFWidgetStyleImpl

    protected EEFWidgetStyleImpl()

### Method Detail

#### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

Overrides:
  `eStaticClass` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### getLabelBackgroundColorExpression

    public java.lang.String getLabelBackgroundColorExpression()

Specified by:
  `getLabelBackgroundColorExpression` in interface `EEFWidgetStyle`
Returns:
  the value of the 'Label Background Color Expression' attribute.
See Also:
  `EEFWidgetStyle.setLabelBackgroundColorExpression(String)`, `EefPackage.getEEFWidgetStyle_LabelBackgroundColorExpression()`

#### setLabelBackgroundColorExpression

    public void setLabelBackgroundColorExpression(java.lang.String newLabelBackgroundColorExpression)

Specified by:
  `setLabelBackgroundColorExpression` in interface `EEFWidgetStyle`
Parameters:
  `newLabelBackgroundColorExpression` - the new value of the 'Label Background Color Expression' attribute.
See Also:
  `EEFWidgetStyle.getLabelBackgroundColorExpression()`

#### getLabelForegroundColorExpression

    public java.lang.String getLabelForegroundColorExpression()

Specified by:
  `getLabelForegroundColorExpression` in interface `EEFWidgetStyle`
Returns:
  the value of the 'Label Foreground Color Expression' attribute.
See Also:
  `EEFWidgetStyle.setLabelForegroundColorExpression(String)`, `EefPackage.getEEFWidgetStyle_LabelForegroundColorExpression()`

#### setLabelForegroundColorExpression

    public void setLabelForegroundColorExpression(java.lang.String newLabelForegroundColorExpression)

Specified by:
  `setLabelForegroundColorExpression` in interface `EEFWidgetStyle`
Parameters:
  `newLabelForegroundColorExpression` - the new value of the 'Label Foreground Color Expression' attribute.
See Also:
  `EEFWidgetStyle.getLabelForegroundColorExpression()`

#### getLabelFontNameExpression

    public java.lang.String getLabelFontNameExpression()

Specified by:
  `getLabelFontNameExpression` in interface `EEFWidgetStyle`
Returns:
  the value of the 'Label Font Name Expression' attribute.
See Also:
  `EEFWidgetStyle.setLabelFontNameExpression(String)`, `EefPackage.getEEFWidgetStyle_LabelFontNameExpression()`

#### setLabelFontNameExpression

    public void setLabelFontNameExpression(java.lang.String newLabelFontNameExpression)

Specified by:
  `setLabelFontNameExpression` in interface `EEFWidgetStyle`
Parameters:
  `newLabelFontNameExpression` - the new value of the 'Label Font Name Expression' attribute.
See Also:
  `EEFWidgetStyle.getLabelFontNameExpression()`

#### getLabelFontSizeExpression

    public java.lang.String getLabelFontSizeExpression()

Specified by:
  `getLabelFontSizeExpression` in interface `EEFWidgetStyle`
Returns:
  the value of the 'Label Font Size Expression' attribute.
See Also:
  `EEFWidgetStyle.setLabelFontSizeExpression(String)`, `EefPackage.getEEFWidgetStyle_LabelFontSizeExpression()`

#### setLabelFontSizeExpression

    public void setLabelFontSizeExpression(java.lang.String newLabelFontSizeExpression)

Specified by:
  `setLabelFontSizeExpression` in interface `EEFWidgetStyle`
Parameters:
  `newLabelFontSizeExpression` - the new value of the 'Label Font Size Expression' attribute.
See Also:
  `EEFWidgetStyle.getLabelFontSizeExpression()`

#### getLabelFontStyleExpression

    public java.lang.String getLabelFontStyleExpression()

Specified by:
  `getLabelFontStyleExpression` in interface `EEFWidgetStyle`
Returns:
  the value of the 'Label Font Style Expression' attribute.
See Also:
  `EEFWidgetStyle.setLabelFontStyleExpression(String)`, `EefPackage.getEEFWidgetStyle_LabelFontStyleExpression()`

#### setLabelFontStyleExpression

    public void setLabelFontStyleExpression(java.lang.String newLabelFontStyleExpression)

Specified by:
  `setLabelFontStyleExpression` in interface `EEFWidgetStyle`
Parameters:
  `newLabelFontStyleExpression` - the new value of the 'Label Font Style Expression' attribute.
See Also:
  `EEFWidgetStyle.getLabelFontStyleExpression()`

#### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eUnset

    public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eIsSet

    public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`